Disable Contact
curl --request POST \
--url http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"email": "<string>",
"object": "<string>",
"partner_id": "<string>",
"id": "<string>",
"address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"address_id": 123,
"addresses": [
{
"object": "<string>",
"id": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"is_primary": true,
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>",
"type": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"custom_fields": "<unknown>",
"external_role": "billing_contact",
"family_name": "<string>",
"given_name": "<string>",
"internal_role": "account_manager",
"is_email_disabled": true,
"is_phone_disabled": true,
"is_primary": true,
"is_primary_email": true,
"is_primary_phone": true,
"job_title": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"remote_created_at": "2023-11-07T05:31:56Z",
"remote_id": "<string>",
"remote_metadata": null,
"remote_modified_at": "2023-11-07T05:31:56Z",
"status_metadata": "<unknown>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Partner Contacts
Disable Contact
Disable all communication channels (email and phone) for a partner.
POST
/
v1
/
partners
/
{partner_id}
/
contacts
/
{contact_id}
/
disable
Disable Contact
curl --request POST \
--url http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("http://api.stuut.ai/v1/partners/{partner_id}/contacts/{contact_id}/disable")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"email": "<string>",
"object": "<string>",
"partner_id": "<string>",
"id": "<string>",
"address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"address_id": 123,
"addresses": [
{
"object": "<string>",
"id": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"is_primary": true,
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>",
"type": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"custom_fields": "<unknown>",
"external_role": "billing_contact",
"family_name": "<string>",
"given_name": "<string>",
"internal_role": "account_manager",
"is_email_disabled": true,
"is_phone_disabled": true,
"is_primary": true,
"is_primary_email": true,
"is_primary_phone": true,
"job_title": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"remote_created_at": "2023-11-07T05:31:56Z",
"remote_id": "<string>",
"remote_metadata": null,
"remote_modified_at": "2023-11-07T05:31:56Z",
"status_metadata": "<unknown>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Authorizations
Body
application/json
Response
Successful response
